> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onera.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Us Filing



## OpenAPI

````yaml /openapi.json get /us/filings/{accession_number}
openapi: 3.1.0
info:
  title: Corpus API
  description: >-
    Point-in-time financial and governed-document data for the US, India, and
    China.
  version: '2026-07-20'
servers:
  - url: https://corpus-api.onera.app
    description: Production
security: []
paths:
  /us/filings/{accession_number}:
    get:
      tags:
        - US · SEC Filings
      summary: Us Filing
      operationId: us_filing_us_filings__accession_number__get
      parameters:
        - name: accession_number
          in: path
          required: true
          schema:
            type: string
            title: Accession Number
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/USFilingResponse'
        '400':
          description: Invalid parameter combination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient jurisdiction or scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request schema validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Source content is unavailable or still processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - X-API-KEY: []
components:
  schemas:
    USFilingResponse:
      properties:
        filing:
          $ref: '#/components/schemas/USFiling'
      type: object
      required:
        - filing
      title: USFilingResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - error
        - message
      title: ErrorResponse
    USFiling:
      properties:
        cik:
          type: string
          title: Cik
        accession_number:
          type: string
          title: Accession Number
        filing_type:
          type: string
          title: Filing Type
        report_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Report Date
        filing_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Filing Date
        filing_datetime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Filing Datetime
        ticker:
          anyOf:
            - type: string
            - type: 'null'
          title: Ticker
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        registrants:
          items:
            $ref: '#/components/schemas/FilingRegistrant'
          type: array
          title: Registrants
        is_xbrl:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Xbrl
        content_status:
          type: string
          enum:
            - pending
            - available
            - not_provided
            - unsupported
            - permanent_source_error
          title: Content Status
          default: pending
      type: object
      required:
        - cik
        - accession_number
        - filing_type
        - registrants
      title: USFiling
    FilingRegistrant:
      properties:
        cik:
          type: string
          title: Cik
        ticker:
          anyOf:
            - type: string
            - type: 'null'
          title: Ticker
        primary_document_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Document Url
      type: object
      required:
        - cik
      title: FilingRegistrant
  securitySchemes:
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Provisioned Corpus API key with the required jurisdiction and operation
        scopes.

````